<?php defined('SYSPATH') or die('No direct script access.');

class Model_Semesters extends Model
{
    public static function create() {
        return new self();
    }

    /**
     * @param $id int semester id
     * @return array data from <tt>semesters</tt> table
     */
    public static function getInfo($id) {
        $sql = "CALL `GetSemesterInfo`('$id'); ";
        return DB::query(Database::SELECT, $sql)->execute()->offsetGet(0);
    }

    public function getSemesters() {
        $sql = "CALL `GetSemesters`()";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public function getList() {
        $semesters = $this->getSemesters();
        $list = array();

        foreach ($semesters as $row) {
            $row['Num'] = ($row['Num'] == 1) ? 'Осенний' : 'Весенний';
            $list[] = $row;
        }

        return $list;
    }
}